<?php

namespace Teknisa\DF\Modules\Saida\Factories;

use Doctrine\ORM\EntityManager;

class NotaFiscalDataUpdateFactory {
    
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function setDataUpdate($cabecalho) {
        
        $sql = "UPDATE NOTAFISCAL
                SET DTEMISSAO = NULL,
                    DTENTRSAID = :P_NEWDTENTRSAID
                WHERE CDFILIAL = :P_CDFILIAL
                AND NRLANCTONF = :P_NRLANCTONF";
        
        $params = array(":P_NEWDTENTRSAID"  =>  $cabecalho['DTENTRSAID'],
                        ":P_CDFILIAL"       =>  $cabecalho['CDFILIAL'],
                        ":P_NRLANCTONF"     =>  $cabecalho['NRLANCTONF']);
        
        $query = $this->connection->prepare($sql);
        return $query->execute($params);
        
    }
    
    public function getIDNFAJUSTE($CDTIPOOPER, $IDENTRSAIDOP){
        $sql = "SELECT IDNFAJUSTE 
                    FROM TIPOOPERAC T 
                 WHERE T.CDTIPOOPER = :CDTIPOOPER 
                    AND T.IDENTRSAIDOP = :IDENTRSAIDOP";
        
        $params = array(":CDTIPOOPER"   =>  $CDTIPOOPER,
                        ":IDENTRSAIDOP" =>  $IDENTRSAIDOP);
        
        $query = $this->connection->prepare($sql);
        $query->execute($params);
        return $query->fetch();
    }
}
